Bug 40581 - Instructions in /etc/DIR_COLORS and /etc/profile.d/colorls.sh do not match
Summary: Instructions in /etc/DIR_COLORS and /etc/profile.d/colorls.sh do not match
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-14 19:43 UTC by David Mandala
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 19:43:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Mandala 2001-05-14 19:43:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
the instructions in /etc/DIR_COLORS states to copy DIR_COLORS into
.dir_colors in ~ ands modify that to overide the /etc/DIR_COLORS settings.
However the files in /etc/profile.d/colorls.* actually look for the name
.dircolors!!!!

How reproducible:
Always

Steps to Reproduce:
1.copy /etc/DIR_COLORS to ~.dir_colors
2.edit file and change some color settings
3.log into a fresh login shell and do ls colors will not take effect.
	

Actual Results:  colors remain the same as the /etc/DIR_COLORS defaults

Expected Results:  colors change into my chosen colors

Additional info:

FIX -- edit /etc/profile.d/colorls.* files and change the lines in:

colorls.sh:
 From:
[ -f "$HOME/.dircolors" ] && eval `dircolors --sh $HOME/.dircolors` &&
COLORS=$HOME/.dircolors
 To:
[ -f "$HOME/.dir_colors" ] && eval `dir_colors --sh $HOME/.dir_colors` &&
COLORS=$HOME/.dir_colors

and 

colorls.csh

 From:
test -f ~/.dircolors && eval `dircolors -c ~/.dircolors` && set
COLORS=~/.dircolors

 To:

test -f ~/.dir_colors && eval `dir_colors -c ~/.dir_colors` && set
COLORS=~/.dir_colors

Comment 1 Bernhard Rosenkraenzer 2001-05-17 12:38:19 UTC
fileutils-4.1-2 handles both names.



Note You need to log in before you can comment on or make changes to this bug.